<template>
    <nav class="navbar is-success" role="navigation" aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <p class="navbar-item" href="#"> VueX </p>

                <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                </a>
            </div>

            <div id="navbarBasicExample" class="navbar-menu">
                <div class="navbar-end">
                    <div class="navbar-item">
                        <div class="buttons">
                            <div class="mr-3">
                                Total de filmes: {{ totalMovies }}
                            </div>

                            <div class="mr-3">
                                Favoritos: {{ totalFavorites }}
                            </div>

                            <FavoritesMovies v-if="totalFavorites > 0" />

                            <a class="button is-light" @click="clearAll">
                                Limpar Tudo
                            </a>

                            <a class="button is-light" @click="getPopularMovies">
                                Listar Filmes
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </nav>
</template>

<script>
import { mapGetters, mapMutations, mapActions } from 'vuex'
import FavoritesMovies from './FavoritesMovies.vue'

export default {
    name: 'NavBar',
    components: {
        FavoritesMovies
    },
    watch: {
        totalFavorites(v) {
            console.log(v)
        }
    },
    computed: {
        ...mapGetters('movie', [
            'totalMovies',
            'totalFavorites'
        ])
    },
    methods: {
        ...mapMutations('movie', [
            'clearAll'
        ]),
        ...mapActions('movie', [
            'getPopularMovies'
        ])
    }
}
</script>

<style>

</style>